PointsReader (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.codecs, class: PointsReader

Package org.apache.lucene.codecs

# Class PointsReader

java.lang.Object
org.apache.lucene.codecs.PointsReader

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

Direct Known Subclasses:
  `Lucene90PointsReader`

public abstract class PointsReader extends Object implements Closeable
Abstract API to visit point values.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `PointsReader()`
  Sole constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract void`
  `checkIntegrity()`
  Checks consistency of this reader.
  `PointsReader`
  `getMergeInstance()`
  Returns an instance optimized for merging.
  `abstract PointValues`
  `getValues(String field)`
  Return `PointValues` for the given `field`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.io.Closeable

  `close`

- ## Constructor Details

  - ### PointsReader

    protected PointsReader()
    Sole constructor. (For invocation by subclass constructors, typically implicit.)

- ## Method Details

  - ### checkIntegrity

    public abstract void checkIntegrity() throws IOException
    Checks consistency of this reader.

    Note that this may be costly in terms of I/O, e.g. may involve computing a checksum value against large data files.

    Throws:
      `IOException`
    NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

  - ### getValues

    public abstract PointValues getValues(String field) throws IOException
    Return `PointValues` for the given `field`. The behavior is undefined if the given field doesn't have points enabled on its `FieldInfo`.
    Throws:
      `IOException`

  - ### getMergeInstance

    public PointsReader getMergeInstance()
    Returns an instance optimized for merging. This instance may only be used in the thread that acquires it.

    The default implementation returns `this`